package identity_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type IdentityAuthReportRequest struct {
	// <ext>core:true</ext> 【用户唯一标识】用户唯一标识
	BizId string `json:"bizId"`
	// <ext>core:true;format:date</ext> 【开始时间】开始时间 【作用】 需查询此时间之后进行可信数字身份核验的用户的存证数据 【传参】 日期格式：yyyy-MM-dd HH:mm:ss。
	BeginTime string `json:"beginTime"`
	// <ext>core:true;format:date</ext> 【结束时间】结束时间 【作用】 需查询此时间之前进行可信数字身份核验的用户的存证数据 【传参】 日期格式：yyyy-MM-dd HH:mm:ss。
	EndTime string `json:"endTime"`
	// <ext>core:true;format:string</ext> 【第三方业务系统id】第三方业务系统id 【作用】 查询用户在传入的业务系统中进行可信数字身份核验的存证数据
	CustomerSysId *int64 `json:"customerSysId,omitempty"`
}

func (obj IdentityAuthReportRequest) GetUrl() string {
	return "/identity/auth/report"
}

func (obj IdentityAuthReportRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
